# Toolbar Extras for MainWP Dashboard - Manage WordPress Websites Even Faster 
**Contributors:** daveshine, deckerweb, wpautobahn, toolbarextras  
**Donate link:** https://www.paypal.me/deckerweb  
**Tags:** toolbar, adminbar, admin bar, mainwp, manage multiple sites, websites, links, settings, usability, deckerweb, ddwtoolbar  
**Requires at least:** 4.7  
**Tested up to:** 5.2  
**Requires PHP:** 5.6  
**Stable tag:** 1.0.0  
**License:** GPL-2.0-or-later  
**License URI:** https://opensource.org/licenses/GPL-2.0  

Managing Websites with MainWP? Your work will get easier & faster with this Toolbar Extras Add-On. Extension support baked right in.

[<img src="https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/github-com/tbexmwp-banner.png" data-canonical-src="https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/github-com/tbexmwp-banner.png" width="772" height="250" />](https://toolbarextras.com/)


## Description 

🚀 Quick Access to Your Website Management with MainWP Dashboard directly from your Toolbar. Use the components you want and be faster with your daily or weekly tasks in MainWP.  
This smart WordPress plugin just adds missed and **very useful admin links** for MainWP Dashboard to your Toolbar / Admin Bar. Save mouse travel and scrolling time. Access updates tasks, your Child Websites, settings and extensions way easier and faster from this one central hub at the top of your Dashboard installation.

[![Video of Plugin's Live Demo and Walkthrough](https://img.youtube.com/vi/SWBucl9EJBM/0.jpg)](https://www.youtube.com/watch?v=SWBucl9EJBM)
[**original video link**](https://www.youtube.com/watch?v=SWBucl9EJBM) *by plugin developer David Decker*  
[Long version video (full walkthrough)](https://www.youtube.com/watch?v=7CRivf7uRE0) // [Install & setup video](https://www.youtube.com/watch?v=B-Xg3jDhqRs)

I use this Add-On for more than a half year already and it feels totally natural for MainWP. Now I am more focused, faster with my daily tasks and it is customized all the way I wanted it. Since I am using this MainWP Add-On for Toolbar Extras, I am more than happy and have never looked back! ;-) *-- says David Decker, plugin developer*

ℹ️ **Essential:** Toolbar Extras for MainWP Dashboard is an **Add-On** plugin, it **requires** the base plugin "Toolbar Extras".  
ℹ️ **Important:** "MainWP Dashboard" is a **free** plugin for WordPress by MainWP.  
ℹ️ **Disclaimer:** Toolbar Extras for MainWP is an **independent** free plugin by David Decker from DECKERWEB. It does **not** represent MainWP.


### ♥️ Features - What the Plugin Does 
* Bring up to 11 MainWP Components into your Toolbar
* Start Child Websites synchronizing from Toolbar (when on MainWP pages)
* Start "Update All" from Toolbar (when on MainWP pages)
* Quick Jump links for settings, features, extensions
* Deactivate MainWP admin menu (left) - no longer needed 😃
* Deactivate MainWP footer bar (bottom) no longer needed 😃
* Up to 58 Add-On settings for customizing the experience (components, features, icon, position, label, etc.)
* Extensions directly integrated where possible and useful (only when Extension is active, of course) - extensions list see below
* Resources - deep links to MainWP knowledge base; also for Extensions
* Filter for MainWP plugins/extensions on WordPress' Plugins page
* Additional MainWP Admin Menu & Submenu items (Toolbar, Plugins filter, Site Health, Debug Info, Activity Log) - for WordPress Admin Menu, plus optional MainWP branded admin menu
* Subtle styling tweaks in Updates modal for better overview 😃


### 👍 More Benefits 
* Non-bloated, already familiar interface (the WP Toolbar)
* Customizeable: Only display the components you need
* You can disable the additional MainWP left-hand menu, and their footer area - now all resources are accessable via the Toolbar
* Get more focused, save mouse travel and scrolling time, be more productive!
* Get your website maintenance work done even faster - let the Toolbar work for you!
* Any items are only loaded if needed
* Fully internationalized and translateable


### 🔌 Supported/ Integrated free MainWP Extensions 
* **Advanced Uptime Monitor** (free, by MainWP) - *check Child Site uptime*
* **Vulnerability Checker** (free, by MainWP) - *scan Child Sites*
* **Clean And Lock** (free, by MainWP) - *lock down your MainWP Dashboard install (highly recommended!)*
* **BackWPup** (free, by MainWP) - *great backup integration*
* **UpdraftPlus** (free, by MainWP) - *great backup integration*
* **BackUpWordPress** (free, by MainWP) - *great backup integration*
* **Sucuri** (free, by MainWP) - *security & malware scanner*
* **Activity Log for MainWP** (free, by WP White Security) - *activity logs for Child Sites and Dashboard install*
* [**WP Compress** (free, WP Compress)](https://wordpress.org/plugins/wp-compress-mainwp/) - *image optimization*
* **WP Fix It Extension** (free, by WP Fix It/ MainWP) - *support/maintenance service*
* *already via Toolbar Extras base plugin:* **MainWP Child** (free, by MainWP)
* *already via Toolbar Extras base plugin:* **MainWP Child Reports** (free, by MainWP)


### 🔌 Supported/ Integrated Premium MainWP Extensions 
* *All below are paid premium extensions made by MainWP!*
* **BackupBuddy** - *great backup integration for "BackupBuddy" (premium as well)*
* **Branding** - *branding/ white label solution for MainWP*
* **Broken Links Checker** - *check Child Sites links*
* **Client Reports** - *client reports for your Child Sites*
* **Clone** - *clone certain Child Sites*
* **Code Snippets** - *central code snippets for Child Sites*
* **Comments** - *central comment moderation for Child Sites*
* **Favorites** - *manage favorites*
* **File Uploader** - *central file upload for Child Sites*
* **Google Analytics** - *central Google Analytics management for Child Sites*
* **iThemes Security** - *security integration for Child Sites via "iThemes Security" plugin*
* **Links Manager** - *link manager for Child Sites*
* **Maintenance** - *central maintenance task management for Child Sites*
* **Page Speed** - *central page speed tool for Child Sites*
* **Piwik** (Matomo) - *central Matomo Analytics management for Child Sites (formerly known as Piwik)*
* **Rocket** (WP Rocket) - *central Cache management solution for Child Sites via "WP Rocket" plugin (premium as well)*
* **Staging** (WP-Staging) - *staging solution for Child Sites via "WP-Staging" plugin (free version only)*
* **Wordfence** - *security integration for Child Sites via "Wordfence" plugin*
* **WordPress SEO** (Yoast SEO) - *SEO integration via "Yoast SEO" plugin*
* **WP Time Capsule** (in Beta still) - *great backup integration for "WP Time Capsule" premium backup service*
* ***Note:** Support for more premium extensions by MainWP will be integrated/ added over time*


### ℹ️ Important: Required/ Recommended for plugin usage 
* Required: User has role `Administrator` (needed capabilities `manage_options` and `edit_theme_options`)
* Required: Toolbar/ Admin Bar is enabled (user profile settings in WordPress)
* Required: User is logged in (of course)
* Recommended: Plugin's settings are enabled to show the wanted links (or any filter/ constant in code)


### 🌎 Translations 
* 🇺🇸 English (United States) - `en_US` = default, always included
* 🇩🇪 [German (informal, default)](https://translate.wordpress.org/locale/de/default/wp-plugins/toolbar-extras-mainwp) - `de_DE`
* 🇩🇪 [German (formal)](https://translate.wordpress.org/locale/de/formal/wp-plugins/toolbar-extras-mainwp) - `de_DE_formal`
* `.pot` file (`toolbar-extras-mainwp.pot`) for translators is always included in the plugin's 'languages' folder :)


### 😎 Be a Contributor 
If you want to translate, [go to the Translation Portal at translate.wordpress.org](https://translate.wordpress.org/projects/wp-plugins/toolbar-extras-mainwp).

You can also contribute code-wise via our [Toolbar Extras for MainWP GitHub Repository](https://github.com/deckerweb/toolbar-extras-mainwp) - and see where you can help.


### 📝 Documentation and Support 
* For more information about features, FAQs and documentation, check out our website at [Toolbar Extras for MainWP Plugin](https://toolbarextras.com/).
* If you have any more questions, visit our support on the [Plugin's Forum](https://wordpress.org/support/plugin/toolbar-extras-mainwp).
* An overview about the ongoing development you'll find on our [Trello Board for the Plugin's Roadmap](https://trello.com/b/JrpjwlX4/toolbar-extras-public-roadmap)


### ⚡ Liked Toolbar Extras for MainWP Add-On Plugin? 
* Join our [Facebook Community Group 💬](https://www.facebook.com/groups/ToolbarExtras/)
* **Rate us 5 ⭐ stars** on [WordPress.org](https://wordpress.org/support/plugin/toolbar-extras-mainwp/reviews/?filter=5/#new-post) :)
* [**Subscribe to my Newsletter for insider info on this plugin** 💯](https://eepurl.com/gbAUUn), plus tutorials and more stuff on deckerweb WordPress plugins - join a thriving community of site builders!
* [**Become a Patron** 💜](https://www.patreon.com/deckerweb) and support ongoing development, maintenance and support of this plugin
* [**Follow us on Instagram** 📷](https://www.instagram.com/toolbarextras) and like our content
* Follow us on Twitter 🐦: [@ToolbarExtras](https://twitter.com/toolbarextras) and [@deckerweb](https://twitter.com/deckerweb)


### ☕ This Plugin ... 
* ... scratches my own itch!
* ... is *Quality Made in Germany*
* ... was created with love (plus some coffee) :-) - [if you like it consider donating](https://www.paypal.me/deckerweb)



## Installation 


### Minimum Requirements 

* **Base plugin:** [Toolbar Extras](https://wordpress.org/plugins/toolbar-extras/), version 1.4.3 or higher
* WordPress version 4.7 or higher
* PHP version 5.6 or higher
* MySQL version 5.0 or higher
* Administrator user with capabilities `manage_options` and `edit_theme_options` who is logged-in and has the Toolbar (Admin Bar) enabled (user profile)


### We Recommend Your Host Supports at least: 

* PHP version 7.2 or higher
* MySQL version 5.6 or higher / or MariaDB 10 or higher


### Installation 

[![Video of how to Install & Setup this Add-On and set the first important recommended settings - Live Walkthrough](https://img.youtube.com/vi/B-Xg3jDhqRs/0.jpg)](https://www.youtube.com/watch?v=B-Xg3jDhqRs)
[**original video link**](https://www.youtube.com/watch?v=B-Xg3jDhqRs) *by plugin developer David Decker*

1. Install using the WordPress built-in Plugin installer (via **Plugins > Add New** - search for `toolbar extras mainwp`), or extract the ZIP file and drop the contents in the `wp-content/plugins/` directory of your WordPress installation.
2. Activate the plugin through the 'Plugins' menu in WordPress.
3. Go to **Settings > Toolbar Extras** to adjust any options for this plugin ("MainWP" settings tab)
4. Now enjoy managing your website portfolio even faster with MainWP - and let the Toolbar work for you ;-)

For documentation and tutorials visit our [Knowledge Base](https://toolbarextras.com/docs-category/mainwp-addon/).



## Frequently Asked Questions 


### Can I run this on my normal business live website? 
Technically yes. However, it absolutely makes no sense! You should think twice if you really want to do that.

Maintainig your websites is a whole another task than presenting your business and/or portfolio on your website.
MainWP Dashboard should live in a dedicated, security and performance optimized single site install (regular WordPress way, non-Multisite!) and only be used for this one purpose. Then adding Toolbar Extras (base plugin) AND Toolbar Extras for MainWP (this Add-On plugin) makes the perfect sense and will bring you the best results and time savings.



### Why is Toolbar Extras plugin required? 
Toolbar Extras is the "base" or "main" plugin. It provides a lot of functionality under the hood, like the settings page, and lots of helper functions. This plugin here, "Toolbar Extras for MainWP" is just an Add-On for it, adding features on top. It extends the functionality, that means, adding more specific items to the Toolbar. In this case specifically for the MainWP Dashboard plugin.



### Why is MainWP Dashboard plugin required? 
While technically the MainWP Dashboard plugin is not "required", this Add-On here makes absolutely no sense without it.



### Why has the base plugin "Toolbar Extras" the word "Elementor" in its title?
That is only in the plugin's readme and therefore appears on the plugin page on wordpress.org. The reason is simple: the "Elementor Add-On" is de-facto built-in in the base plugin and not an extra Add-On (like this one here for MainWP). But don't worry: you won't see any Elementor stuff ever. Those integrations are only ever loaded at all if Elementor is installed and active.

So don't get confused :-) On your "Plugins" page in your WordPress install the base plugin is listed normally as just "Toolbar Extras" and that is also the official name and it is referenced everywhere as that only.

For more background info on this topic have look on our website:  
* *Blog post:* [Can Toolbar Extras be Used Without Elementor? (or Plugin/ Theme Xyz?)](https://toolbarextras.com/use-toolbar-extras-without-elementor/)
* *Documentation article:* [Why is Toolbar Extras required and why no standalone plugin?](https://toolbarextras.com/docs/addons-why-toolbar-extras-required/)



### Will this Plugin slow down my site? 
Absolutely not. The plugin will only do its stuff for logged-in Administrator users. It does nothing for visitors of your site. Plugin loads its stuff only when needed and if supported theme/ plugin is active. Plugin was built to be as lightweight as possible.



### Does the Plugin work with Multisite? 
Yes, technically it works fine in Multisite, you could even activate it Network-wide if you want. **However, it makes absolutely no sense to setup a "MainWP Dashboard Site" as Multisite install!** Such a "Dashboard Site" is for managing dozens of other websites and therefore should be absolutely lightweight and only focused on this one purpose. I would only ever recommend to run the MainWP Dashboard on a regular single WordPress install, which is also fine-tuned for security and performance.



### More info on Translations? 

* English - default, always included
* German (de_DE): Deutsch - immer dabei! :-)
* For custom and update-safe language files please upload them to `/wp-content/languages/toolbar-extras-mainwp/` (just create this folder) - This enables you to use fully custom translations that won't be overridden on plugin updates. Also, complete custom English wording is possible with that as well, just use a language file like `toolbar-extras-mainwp-en_US.mo/.po` to achieve that (for creating one see the following tools).

**Easy WordPress.org plugin translation platform with GlotPress platform:** [**Translate "Toolbar Extras for MainWP"...**](https://translate.wordpress.org/projects/wp-plugins/toolbar-extras-mainwp)

*Note:* All my plugins are internationalized/ translateable by default. This is very important for all users worldwide. So please contribute your language to the plugin to make it even more useful. For translating and validating I recommend the awesome ["Poedit Editor"](https://www.poedit.net/), which works fine on Windows, macOS and Linux.



## Screenshots 

### 1. Control up to 11 MainWP Components from the Toolbar
![Control up to 11 MainWP Components from the Toolbar](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-1.png)


### 2. Manage your Child Sites - optionally list websites (adjustable via Add-On settings)
![Manage your Child Sites - optionally list websites (adjustable via Add-On settings)](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-2.png)


### 3. My MainWP Dashboard - Overview and access to the setup wizard steps
![My MainWP Dashboard - Overview and access to the setup wizard steps](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-3.png)


### 4. Easy access to external, helpful resources for MainWP and Extensions
![Easy access to external, helpful resources for MainWP and Extensions](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-4.png)


### 5. Start Update Actions from the Toolbar
![Start Update Actions from the Toolbar](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-5.png)


### 6. Support for MainWP Extensions (free & Premium) directly built-in - items appear only if an Extension is active
![Support for MainWP Extensions (free & Premium) directly built-in - items appear only if an Extension is active](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-6.png)


### 7. Recommended MainWP Dashboard Options for a perfect Toolbar integration & support ;-)
![Recommended MainWP Dashboard Options for a perfect Toolbar integration & support ;-)](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-7.png)


### 8. MainWP Add-On options in Toolbar Extras settings page
![MainWP Add-On options in Toolbar Extras settings page](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-8.png)


### 9. Example: Settings for the "Websites" component (Child Sites)
![Example: Settings for the "Websites" component (Child Sites)](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-9.png)


### 10. More tweaks and settings for MainWP from this Add-On
![More tweaks and settings for MainWP from this Add-On](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-10.png)


### 11. Additional color palette item to have a perfectly styled Toolbar for MainWP :-)
![Additional color palette item to have a perfectly styled Toolbar for MainWP :-)](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-11.png)


### 12. For MainWP Branded Admin Menü: additional Dashboard items
![For MainWP Branded Admin Menü: additional Dashboard items](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-12.png)


### 13. For MainWP Branded Admin Menü: additional Child Site item
![For MainWP Branded Admin Menü: additional Child Site item](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-13.png)


### 14. For MainWP Branded Admin Menü: additional Extension item
![For MainWP Branded Admin Menü: additional Extension item](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-14.png)


### 15. Filter all MainWP Plugins/ Extensions on WordPress' Plugins page
![Filter all MainWP Plugins/ Extensions on WordPress' Plugins page](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-15.png)


### 16. Plugin Manager suggestions for required and recommended plugins for your MainWP Dashboard installation
![Plugin Manager suggestions for required and recommended plugins for your MainWP Dashboard installation](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-16.png)


### 17. Help tab for this Add-On
![Help tab for this Add-On](https://raw.githubusercontent.com/deckerweb/toolbar-extras-mainwp/master/assets-repos/wordpress-org/screenshot-17.png)



## Changelog 

([For the full changelog of this plugin visit its website at ToolbarExtras.com](https://toolbarextras.com/changelog/))


### 🎉 1.0.0 - 2019-06-12 
* *Plugin launch. Everything's new!*
* New: 10 Free MainWP extensions supported/ integrated
* New: 20 Premium MainWP extensions supported/ integrated


### ⚡ 0.9.0 - 2019-06-11
* New: Private beta release on GitHub


([For the full changelog of this plugin visit its website at ToolbarExtras.com](https://toolbarextras.com/changelog/))



## Upgrade Notice 


### 1.0.0 
Plugin launch. Everything's new!



## Donate 
Enjoy using the Add-On *Toolbar Extras for MainWP*? **[Please consider making a donation](https://www.paypal.me/deckerweb)** - every donation helps to support the project's continued development, maintenance and support.
**Thank you very much in advance for your support!**



## Additional Info 
**Idea Behind / Philosophy:** Just a little lightweight plugin for all the Non-Coder site builders out there using Elementor page builder - making their daily work and life just a little easier.



## Last but not least 
**Special Thanks go out to my family for allowing me to do such spare time projects (aka free plugins) and supporting me in every possible way!**



## My Other Plugins 
* [**Toolbar Extras for Elementor - WordPress Admin Bar Enhanced**](https://wordpress.org/plugins/toolbar-extras/)
* [**Toolbar Extras for Oxygen Builder - Add-On plugin**](https://wordpress.org/plugins/toolbar-extras-oxygen/)
* [**Toolbar Extras for Give Donations (GiveWP) - Add-On plugin**](https://wordpress.org/plugins/toolbar-extras-givewp/)
* [**Builder Template Categories - for WordPress Page Builders**](https://wordpress.org/plugins/builder-template-categories/)
* [**Polylang Connect for Elementor – Language Switcher & Template Tweaks**](https://wordpress.org/plugins/connect-polylang-elementor/)
* [**Simple Download Manager for WP Document Revisions**](https://wordpress.org/plugins/wpdr-simple-downloads/)
* [Genesis What's New Info](https://wordpress.org/plugins/genesis-whats-new-info/)
* [Genesis Layout Extras](https://wordpress.org/plugins/genesis-layout-extras/)
* [Genesis Widgetized Not Found & 404](https://wordpress.org/plugins/genesis-widgetized-notfound/)
* [Genesis Widgetized Footer](https://wordpress.org/plugins/genesis-widgetized-footer/)
* [Genesis Widgetized Archive](https://wordpress.org/plugins/genesis-widgetized-archive/)
* [Multisite Toolbar Additions](https://wordpress.org/plugins/multisite-toolbar-additions/)
* [Cleaner Plugin Installer](https://wordpress.org/plugins/cleaner-plugin-installer/)
* [*My plugins newsletter*](https://eepurl.com/gbAUUn)
